<template>
  <ContentView>
    <div class="workbenches-banner-wrapper">
      <nut-swiper :auto-play="3000">
        <nut-swiper-item v-for="(item, index) in list" :key="index">
          <img :src="item" class="banner-img" draggable="false" />
        </nut-swiper-item>
      </nut-swiper>
    </div>

    <Cell :show-title="false" class="workbenches-cell">
      <CellChunk title="任务">
        <div class="workbenches-cell-list">
          <TaskDetailWelfareItem :icon="IconPublishTask" text="发布任务" @click="goPublishTask" />
          <TaskDetailWelfareItem :icon="IconPersonManage" text="用人管理" />
        </div>
      </CellChunk>
      <CellChunk title="用人">
        <div class="workbenches-cell-list">
          <TaskDetailWelfareItem :icon="IconFlexjobManage" text="灵工管理" />
          <TaskDetailWelfareItem
            :icon="IconTaskManage"
            text="任务管理"
            @click="goPage(RouterPath.taskManage)"
          />
          <TaskDetailWelfareItem
            :icon="IconAcceptManage"
            text="验收管理"
            @click="goPage(RouterPath.taskCheck)"
          />
        </div>
      </CellChunk>
    </Cell>
  </ContentView>
</template>

<script setup lang="ts">
import Taro from '@tarojs/taro';
import { TaskDetailWelfareItem } from '@12333/components';
import { RouterPath } from '@/constants';
import IconAcceptManage from '@/assets/workbenches/icon-accept-manage.png';
import IconFlexjobManage from '@/assets/workbenches/icon-flexjob-manage.png';
import IconPersonManage from '@/assets/workbenches/icon-person-manage.png';
import IconPublishTask from '@/assets/workbenches/icon-publish-task.png';
import IconTaskManage from '@/assets/workbenches/icon-task-manage.png';

defineOptions({
  name: 'InnerPage',
});

const list = ref([
  'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg',
  'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg',
  'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg',
  'https://storage.360buyimg.com/jdc-article/fristfabu.jpg',
]);

function goPage(routeName: string) {
  Taro.navigateTo({
    url: routeName,
  });
}

function goPublishTask() {
  goPage(RouterPath.publishTask);
}
</script>

<style lang="scss">
@import '@/styles/common.scss';

.workbenches-page-wrapper {
  .workbenches-banner-wrapper {
    .banner-img {
      width: 100%;
      height: 260px;
      object-fit: cover;
    }
  }

  .workbenches-cell {
    margin-top: 24px;

    .cell-title-wrapper {
      margin-bottom: 36px;
    }

    .workbenches-cell-list {
      display: flex;
    }
  }
}
</style>
